<?php
/*
 * Copyright (C) 2007-2008, M2X
 *
 * Authors: Jean-Paul Saman
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 *****************************************************************************/

$perms =& $AppUI->acl();

// we check for permissions on this module
$canRead = !getDenyRead( $m );
$canEdit = !getDenyEdit( $m );
$canDelete = $perms->checkModule( $m, 'delete' );

// lock out users that do not have at least readPermission on this module
if (!$canRead) {
    $AppUI->redirect( "m=public&a=access_denied" );
}
//save the workplace state (have a footprint on this site)
$AppUI->savePlace();
// saves the current tab box state
if (isset( $_GET['tab'] )) {
    $AppUI->setState( 'TimesheetIdxTab', $_GET['tab'] );
}
$tab = $AppUI->getState( 'TimesheetIdxTab' ) !== NULL ? $AppUI->getState( 'TimesheetIdxTab' ) : 0;
$active = intval( !$AppUI->getState( 'TimesheetIdxTab' ) );

// we prepare the User Interface Design with the dPFramework

// setup the title block with Name, Icon and Help
$titleBlock = new CTitleBlock( 'Timesheet', 'timesheet.png', $m, "$m.$a" );
$titleBlock->addCell();

// adding the 'add'-Button if user has writePermissions
if ($canEdit) {
    $titleBlock->addCell(
        '<input type="submit" class="button" value="'.$AppUI->_('new timesheet').'">', '',
        '<form action="?m=timesheet&a=addedit" method="post">', '</form>'
    );
}
$titleBlock->show();

// now prepare and show the tabbed information boxes with the dPFramework

// The Period default for the timesheets (month,week)
// $period = $AppUI->getPref('TIMESHEET_PERIOD');

// build new tab box object
$tabBox = new CTabBox( "?m=timesheet", dPgetConfig('root_dir') . "/modules/timesheet/", $tab ); 
$tabBox->add( 'vw_idx_timesheets', 'All timesheets' );
$tabBox->add( 'vw_idx_open', 'Open timesheets' );
$tabBox->add( 'vw_idx_submitted', 'Submitted timesheets' );
$tabBox->add( 'vw_idx_approved', 'Approved timesheets' );
$tabBox->show();

?>
